#
# spec file for package wmakerconf (Version 2.9)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  WindowMaker WindowMaker-devel autoconf glib glib-devel gtk gtk-devel hermes hermes-devel imlib imlib-config imlib-devel libjpeg libpng-devel-packages libtiff libungif lynx wget x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel WindowMaker WindowMaker-devel XFree86-devel XFree86-libs autoconf automake binutils bzip2 cracklib gcc gdbm gettext glib glib-devel gtk gtk-devel hermes hermes-devel imlib imlib-config imlib-devel libjpeg libpng libpng-devel libtiff libtool libungif lynx perl rpm wget

Name:         wmakerconf
License:      GPL, Other License(s), see package
Group:        System/GUI/Other
Obsoletes:    wmaconf 
Provides:     wmaconf
Requires:     lynx wget WindowMaker
Autoreqprov:  on
Summary:      Configuration tool for Window Maker
Version:      2.9
Release:      107
Source:       http://www.windowmaker.org/pub/contrib/source/wmakerconf/wmakerconf-%{version}.tar.bz2
Patch:        wmakerconf-%{version}.dif
Patch2:       wmakerconf-%{version}-themesdir.patch
Patch3:       wmakerconf-%{version}-destdir.patch
Patch4:       wmakerconf-%{version}-config.patch
Patch5:       wmakerconf-%{version}-segfault.patch
Patch6:       wmakerconf-%{version}-wmconfig.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Wmakerconf is a GTK+ based configuration tool for Window Maker.

Authors:
--------
    Ullrich Hafner <hafner@bigfoot.de>

%prep
%setup -n wmakerconf-%{version}
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
# ---------------------------------------------------------------------------
%{suse_update_config -f data}

%build
autoreconf --install --force
test ! -f po/Makevars.template || mv po/Makevars.template po/Makevars
CFLAGS="$RPM_OPT_FLAGS -L/usr/X11R6/%_lib" \
	./configure \
	--prefix=/usr/X11R6 \
	--exec-prefix=/usr/X11R6 \
	--sysconfdir=/etc \
	--with-nlsdir=/usr/share/locale \
	--with-pixmapdir=/usr/X11R6/share/WindowMaker/Pixmaps
make
# ---------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ABOUT-NLS AUTHORS COPYING ChangeLog MANUAL NEWS NLS-TEAM1 README TODO
/usr/X11R6/bin/mkpreview
/usr/X11R6/bin/wmakerconf
/usr/X11R6/share/wmakerconf
/usr/X11R6/share/locale/*/LC_MESSAGES/*

%changelog -n wmakerconf
* Tue May 13 2003 - nadvornik@suse.cz
- fixed merging user and system configuration [#25928]
- fixed crash in theme browser
* Fri Mar 07 2003 - nadvornik@suse.cz
- fixed segfault
* Tue Nov 19 2002 - mmj@suse.de
- Add AM_GNU_GETTEXT_VERSION
* Tue Oct 01 2002 - nadvornik@suse.cz
- updated to 2.9
- updated translations
- does not require libPropList
* Tue Sep 10 2002 - kukuk@suse.de
- fix provides for update
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed May 15 2002 - ro@suse.de
- use RPM_OPT_FLAGS, add -L/usr/X11R6/%%_lib
* Wed May 01 2002 - kukuk@suse.de
- Remove superfluous libmpeg
* Wed Apr 03 2002 - ro@suse.de
- build with current gettext
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 16 2002 - schwab@suse.de
- Fix typo in specfile.
- Don't pass -I/usr/include or -I/usr/local/include to preprocessor.
* Mon Jun 25 2001 - nadvornik@suse.cz
- added buildroot
- added correct path for windowmaker themes
* Thu Jun 21 2001 - ro@suse.de
- added imlib and hermes to neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Thu Jan 25 2001 - violiet@suse.de
- added wmakerconf-data Korean translation.
- improvement wmakerconf Korean translation.
* Fri Nov 17 2000 - kukuk@suse.de
- fixed Requires for WindowMaker
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri May 19 2000 - choeger@suse.de
- updated to version 2.6.1
* Wed Mar 08 2000 - ro@suse.de
- fixed segfault
* Fri Dec 03 1999 - ray@suse.de
- update to 2.3
* Mon Oct 25 1999 - ro@suse.de
- switched to libungif
* Thu Sep 23 1999 - choeger@suse.de
- new version 2.2
* Tue Sep 21 1999 - ro@suse.de
- added proplst, proplstd to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jun 24 1999 - ray@suse.de
- update to 2.1
* Wed Apr 28 1999 - ray@suse.de
- new package version 1.99.4
